- Démarrage
- Authentification
- Étendues et autorisations
- API de gestion de plate-forme
- Limites de débit d'API pour Identity Server
- Récupération de partitionGlobalId pour l'utilisation de l'API
- Alertes
- Codes de produit de licence
- Récupérer le résumé de la licence d’organisation
- Attribuer des licences à un utilisateur
Point de terminaison GET pour récupérer le résumé de la licence au niveau de l'organisation, couvrant les totaux, les attributions et l'utilisation des robots, des licences utilisateur et des consommables.
Récupère le résumé des licences pour votre organisation, y compris les robots sous licence et attribués, les licences utilisateur sous licence et utilisées, ainsi que les consommables sous licence, attribués et utilisés. Nécessite une application externe avec l'étendue PM.License.Read.
Découvrez comment créer une application externe.
Point de terminaison de l’API
GET {accessURL}/{organizationName}/license_/api/account/{accountId}/license-summary
Remplacez {accessURL} dans tous les chemins de point de terminaison par l'URL de base de votre plate-forme cloud :
| Cloud Platform | URL d'accès |
|---|---|
| Automation Cloud | https://cloud.uipath.com/ |
| Automation Cloud pour le Secteur public | https://govcloud.uipath.us/ |
| Cloud d'automatisation dédié | https://{customURL}.dedicated.uipath.com/ |
En-têtes de requête.
--header 'Authorization: Bearer {access_token}'
--header 'Authorization: Bearer {access_token}'
Pour obtenir le {access_token}, assurez-vous de vous authentifier via la méthode Identifiants de mot de passe du propriétaire de la ressource décrite sur la page Méthodes d’authentification.
Paramètres de chemin d'accès
| Paramètre du chemin d'accès | Type de données | Description |
|---|---|---|
accountId (requis) | GUID | L'ID de l'organisation pour laquelle récupérer le résumé de la licence. |
Réponses
200 OK
Renvoie le résumé de la licence pour l'organisation, divisé en trois tableaux:
robots— pour chaque type de robot, la quantité totale sous licence (total) et la quantité totale attribuée (allocated). Voir Robots pour les codes disponibles.userLicenses— pour chaque licence utilisateur, la quantité totale sous licence (total) et la quantité totale utilisée (used). Voir Licences utilisateur pour les codes disponibles.consumables— pour chaque unité consommable, la quantité totale sous licence (total), le montant total attribué (allocated), le montant total utilisé (used) et la période de validité (startDate,endDate) sous la forme d'horodatages Unix en secondes. Voir Consommables pour obtenir les codes disponibles.
404
Aucune licence de compte n'est attribuée pour l'organisation indiquée.
Exemple de requête
La requête doit ressembler à l'exemple suivant (cURL) :
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/license_/api/account/1234/license-summary' \
--header 'Authorization: Bearer {access_token}'
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/license_/api/account/1234/license-summary' \
--header 'Authorization: Bearer {access_token}'
Voici le corps de la réponse pour une récupération réussie du résumé de la licence:
{
"robots": [
{
"code": "APPTESTR",
"total": 5,
"allocated": 2
},
{
"code": "NONPR",
"total": 0,
"allocated": 0
},
{
"code": "TAUNATT",
"total": 5,
"allocated": 2
},
{
"code": "UNATT",
"total": 5,
"allocated": 2
},
{
"code": "UNATT-HOSTING",
"total": 0,
"allocated": 0
}
],
"userLicenses": [
{
"code": "PMBU",
"total": 5,
"used": 0
},
{
"code": "PMD",
"total": 10,
"used": 3
},
{
"code": "IDU",
"total": 55,
"used": 1
},
{
"code": "TSTNU",
"total": 5,
"used": 2
},
{
"code": "AXPNU",
"total": 100,
"used": 10
},
{
"code": "ACNU",
"total": 2,
"used": 0
},
{
"code": "RPADEVPROCU",
"total": 15,
"used": 0
},
{
"code": "RPADEVPRONU",
"total": 15000,
"used": 10
},
{
"code": "CBNU",
"total": 5,
"used": 0
},
{
"code": "ATTUNU",
"total": 5,
"used": 1
},
{
"code": "PRONU",
"total": 200,
"used": 12
},
{
"code": "CTZDEVNU",
"total": 5,
"used": 0
},
{
"code": "BASICNU",
"total": 10,
"used": 7
},
{
"code": "AKIT",
"total": 100,
"used": 0
},
{
"code": "PLUSNU",
"total": 2,
"used": 5
}
],
"consumables": [
{
"code": "AGU",
"total": 995658,
"allocated": 130,
"used": 1,
"startDate": 1707177600,
"endDate": 2230847999
},
{
"code": "APPU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "FCCU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "HEAL",
"total": 303330,
"allocated": 1500,
"used": 0,
"startDate": 1762128000,
"endDate": 1920844799
},
{
"code": "HEALTEST",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "LU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "MRSU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "PLTU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "RU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "SPR",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "TEU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
}
]
}
{
"robots": [
{
"code": "APPTESTR",
"total": 5,
"allocated": 2
},
{
"code": "NONPR",
"total": 0,
"allocated": 0
},
{
"code": "TAUNATT",
"total": 5,
"allocated": 2
},
{
"code": "UNATT",
"total": 5,
"allocated": 2
},
{
"code": "UNATT-HOSTING",
"total": 0,
"allocated": 0
}
],
"userLicenses": [
{
"code": "PMBU",
"total": 5,
"used": 0
},
{
"code": "PMD",
"total": 10,
"used": 3
},
{
"code": "IDU",
"total": 55,
"used": 1
},
{
"code": "TSTNU",
"total": 5,
"used": 2
},
{
"code": "AXPNU",
"total": 100,
"used": 10
},
{
"code": "ACNU",
"total": 2,
"used": 0
},
{
"code": "RPADEVPROCU",
"total": 15,
"used": 0
},
{
"code": "RPADEVPRONU",
"total": 15000,
"used": 10
},
{
"code": "CBNU",
"total": 5,
"used": 0
},
{
"code": "ATTUNU",
"total": 5,
"used": 1
},
{
"code": "PRONU",
"total": 200,
"used": 12
},
{
"code": "CTZDEVNU",
"total": 5,
"used": 0
},
{
"code": "BASICNU",
"total": 10,
"used": 7
},
{
"code": "AKIT",
"total": 100,
"used": 0
},
{
"code": "PLUSNU",
"total": 2,
"used": 5
}
],
"consumables": [
{
"code": "AGU",
"total": 995658,
"allocated": 130,
"used": 1,
"startDate": 1707177600,
"endDate": 2230847999
},
{
"code": "APPU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "FCCU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "HEAL",
"total": 303330,
"allocated": 1500,
"used": 0,
"startDate": 1762128000,
"endDate": 1920844799
},
{
"code": "HEALTEST",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "LU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "MRSU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "PLTU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "RU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "SPR",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "TEU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
}
]
}